//+------------------------------------------------------------------+
//|                                                        ind-2.mq4 |
//|                      Copyright  2009, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 RoyalBlue
//---- input parameters
extern int       FastMA=8;
extern int       SlowMA=34;

//---- buffers
double ExtMapBuffer1[];
//---- indicator buffers
double ExtSilverBuffer[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- additional buffers are used for counting
   IndicatorBuffers(3);
//---- drawing settings
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);

//---- indicator buffers mapping
   SetIndexBuffer(0, ExtSilverBuffer);
   
//---- name for DataWindow and indicator subwindow label
   IndicatorShortName("ind-2");
//---- initialization done
   return(0);
  }
//+------------------------------------------------------------------+
//| Moving Averages Convergence/Divergence                           |
//+------------------------------------------------------------------+
int start()
  {
   int limit;
   int counted_bars=IndicatorCounted();
//---- check for possible errors
   if(counted_bars<0) return(-1);
//---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
//---- macd counted in the 1-st buffer
   for(int i=0; i<limit; i++)
      ExtSilverBuffer[i]=iMA(NULL,0,FastMA,0,MODE_LWMA,PRICE_CLOSE,i)-iMA(NULL,0,SlowMA,0,MODE_LWMA,PRICE_CLOSE,i);

//---- done
   return(0);
  }
//+------------------------------------------------------------------+

